# -*- encoding: utf-8 -*-
# stub: fluent-plugin-detect-memb-exceptions 0.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "fluent-plugin-detect-memb-exceptions".freeze
  s.version = "0.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Naomi stern".freeze]
  s.date = "2017-05-12"
  s.description = "   Fluentd output plugin which detects ft membership specific exception stack traces in a stream of\n   JSON log messages and combines all single-line messages that belong to the\n   same stack trace into one multi-line message.\n   This is an adaption of an official Google Ruby gem.\n".freeze
  s.email = ["naomi.stern@ft.com".freeze]
  s.homepage = "https://github.com/Financial-Times/fluent-plugin-detect-exceptions".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "fluentd output plugin for combining stack traces as multi-line JSON logs".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<fluentd>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.42.0"])
    s.add_development_dependency(%q<test-unit>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<fluentd>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.3"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.42.0"])
    s.add_dependency(%q<test-unit>.freeze, ["~> 3.0"])
  end
end
